Bug 1294412 - [RFE] : Start glusterd even when the glusterd is unable to resolve the bricks path.
Summary: [RFE] : Start glusterd even when the glusterd is unable to resolve the bricks...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: glusterd
Version: rhgs-3.1
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: RHGS 3.4.0
Assignee: Atin Mukherjee
QA Contact: Bala Konda Reddy M
URL:
Whiteboard: rebase
Depends On: 1036551
Blocks: 1503132
TreeView+ depends on / blocked
 
Reported: 2015-12-28 06:06 UTC by Atin Mukherjee
Modified: 2018-09-04 06:29 UTC (History)
9 users (show)

Fixed In Version: glusterfs-3.12.2-1
Doc Type: Enhancement
Doc Text:
Clone Of: 1036551
Environment:
Last Closed: 2018-09-04 06:27:31 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:2607 None None None 2018-09-04 06:29:17 UTC

Comment 3 Atin Mukherjee 2017-08-07 08:14:00 UTC
upstream patch : https://review.gluster.org/#/c/17813/

Comment 7 Bala Konda Reddy M 2018-04-04 09:56:35 UTC
Build : 3.12.2-6

In 3.3.1, glusterd fails to start and bricks will be offline. With the fix in 3.4.0, glusterd started and bricks are online. 

1. Created a volume using 4 nodes and started it
2. Stopped glusterd on one of the node.
3. Bring down the network.
4. Start the glusterd on the node where it was stopped.
5. Glusterd started without any issues and bricks are online

Hence marking it as verified

Comment 9 errata-xmlrpc 2018-09-04 06:27:31 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:2607


Note You need to log in before you can comment on or make changes to this bug.